org.eclipse.net4j.util.container

## Interface IManagedContainer.ContainerAware

- All Known Subinterfaces:
    IManagedContainerFactory
  Enclosing interface:
    IManagedContainer

      public static interface IManagedContainer.ContainerAware

  Since:
    3.4
  Author:
    Eike Stepper

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `setManagedContainer(IManagedContainer container)` Assigns the container that I should use to get my dependencies.

- - ### Method Detail

    - #### setManagedContainer

          void setManagedContainer(IManagedContainer container)

      Assigns the container that I should use to get my dependencies.
      Parameters:
        `container` - the container in which I am created/registered

Copyright (c) 2004-2019 Eike Stepper (Loehne, Germany) and others.
All rights reserved. This program and the accompanying materials are made available under the terms of the Eclipse Public License v1.0 which accompanies this distribution, and is available at http://www.eclipse.org/legal/epl-v10.html